#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::Base
#
# This class has been especially created in order to allow subclassing
# from it, in order to reuse common/shared functionality.
#
# To subclass from this class, do:
#
#   require 'bioroebe/base/base.rb'
#   class Subclass < ::Bioroebe::Base
#
# =========================================================================== #
# require 'bioroebe/base/base.rb'
# =========================================================================== #

# =========================================================================== #
# We have to first require the prototypes:
# =========================================================================== #
module Bioroebe

class Base

  require 'bioroebe/constants/nucleotides.rb'
  require 'bioroebe/base/prototype/prototype.rb'
  require 'bioroebe/base/colours.rb'
  require 'bioroebe/base/initialize.rb'
  require 'bioroebe/base/misc.rb'
  require 'bioroebe/base/namespace.rb'
  require 'bioroebe/base/reset.rb'
  require 'bioroebe/exceptions/exceptions.rb'

end; end