#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/aminoacids.rb'
# =========================================================================== #
module Bioroebe

class CommandlineApplication < Base # === Bioroebe::CommandlineApplication

  # ========================================================================= #
  # === return_array_of_one_letter_aminoacids
  #
  # This method will return a sorted Array of the one-letter aminoacids.
  #
  # Specifically, this may look like this:
  #
  #   ["A","C","D","E","F","G","H","I","K","L","M","N",
  #    "O","P","Q","R","S","T","U","V","W","Y"]
  #
  # ========================================================================= #
  def return_array_of_one_letter_aminoacids
    AMINO_ACIDS_LONG_NAME_TO_ONE_LETTER.values.sort
  end

  # ========================================================================= #
  # === all_aminoacids?
  # ========================================================================= #
  def all_aminoacids?
    ::Bioroebe.all_aminoacids?
  end

end; end