#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/commandline_application.rb'
# < ::Bioroebe::CommandlineApplication
# =========================================================================== #
require 'bioroebe/base/colours.rb'
require 'bioroebe/base/prototype/prototype.rb'
require 'bioroebe/base/misc.rb' # ← This file contains the is_palindrome? check.
require 'bioroebe/base/commandline_application/aminoacids.rb'
require 'bioroebe/base/commandline_application/commandline_arguments.rb'
require 'bioroebe/base/commandline_application/directory.rb'
require 'bioroebe/base/commandline_application/extract.rb'
require 'bioroebe/base/commandline_application/misc.rb'
require 'bioroebe/base/commandline_application/opn.rb'
require 'bioroebe/base/commandline_application/reset.rb'
require 'bioroebe/base/commandline_application/warnings.rb'
require 'bioroebe/base/commandline_application/write_what_into.rb'

module Bioroebe

class CommandlineApplication < Base # === Bioroebe::CommandlineApplication

  require 'bioroebe/constants/nucleotides.rb'
  require 'bioroebe/constants/misc.rb'
  require 'bioroebe/constants/urls.rb'

  require 'bioroebe/toplevel_methods/aminoacids_and_proteins.rb'
  require 'bioroebe/toplevel_methods/cliner.rb'
  require 'bioroebe/toplevel_methods/log_directory.rb'
  require 'bioroebe/toplevel_methods/open_reading_frames.rb'

  include Bioroebe::ColoursForBase
  include Bioroebe::CommandlineArguments

end; end