#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/directory.rb'
# =========================================================================== #
module Bioroebe

class CommandlineApplication < Base

  require 'bioroebe/toplevel_methods/file_and_directory_related_actions.rb'
  # ========================================================================= #
  # === change_directory                                             (cd tag)
  #
  # Use this to change the directory. The first argument should be the
  # target directory in question.
  #
  # The second argument means that this method will be verbose.
  # ========================================================================= #
  def change_directory(
      i = '$HOME'
    )
    # ======================================================================= #
    # The verbose-flag set next is used to also report the current directory.
    # ======================================================================= #
    case i
    when ':home', :home
      i = :home_directory
    end
    ::Bioroebe.change_directory(i, :be_verbose)
  end; alias cd change_directory # === cd

end; end