#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/base/commandline_application/opn.rb'
# =========================================================================== #
module Bioroebe

class CommandlineApplication < Base # === Bioroebe::CommandlineApplication

  require 'bioroebe/base/namespace.rb'
  require 'bioroebe/configuration/configuration.rb'

  begin
    require 'opn'
  rescue LoadError; end
  
  # ========================================================================= #
  # === use_opn?
  # ========================================================================= #
  def use_opn?
    ::Bioroebe.use_opn?
  end

  # ========================================================================= #
  # === opne
  # ========================================================================= #
  def opne(i = '')
    opnn; e i
  end

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn(
      i = @namespace,
      &block
    )
    if use_opn?
      if i.is_a? String
        i = { namespace: i }
      end
      Opn.opn(i, &block)
    end
  end

end; end