#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::ColourScheme
# =========================================================================== #
# require 'bioroebe/colours/colour_schemes/array_available_colour_schemes.rb'
# =========================================================================== #
module Bioroebe

module ColourScheme

  # ========================================================================= #
  # === Bioroebe::ColourScheme::ARRAY_AVAILABLE_COLOUR_SCHEMES
  #
  # Batch-load the various colour addons.
  #
  # The score-subclasses are:
  #
  #   buried, helix, hydropathy, strand and turn.
  #
  # The simple-subclasses are:
  #
  #   nucleotide, taylor and zappo.
  #
  # ========================================================================= #
  ARRAY_AVAILABLE_COLOUR_SCHEMES = %w(
    buried
    helix
    hydropathy
    strand
    turn
    nucleotide
    taylor
    zappo
  )

end; end