#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::ColourScheme::Helix
# =========================================================================== #
# === Color codings for helix propensity.
# =========================================================================== #
require 'bioroebe/colours/colour_schemes/score.rb'

module Bioroebe::ColourScheme

class Helix < Score # === Bioroebe::ColourScheme::Helix

  # ========================================================================= #
  # === @colours
  # ========================================================================= #
  @colours = {}

  # ========================================================================= #
  # === @scores
  # ========================================================================= #
  @scores = {
    'A' => 1.42,
    'C' => 0.70,
    'D' => 1.01,
    'E' => 1.51,
    'F' => 1.13,
    'G' => 0.57,
    'H' => 1.00,
    'I' => 1.08,
    'K' => 1.16,
    'L' => 1.21,
    'M' => 1.45,
    'N' => 0.67,
    'P' => 0.57,
    'Q' => 1.11,
    'R' => 0.98,
    'S' => 0.77,
    'T' => 0.83,
    'U' => 0.00,
    'V' => 1.06,
    'W' => 1.08,
    'Y' => 0.69,

    'B' => 0.84,
    'X' => 1.00,
    'Z' => 1.31
  }
  @min = 0.57
  @max = 1.51
  @scores.each {|k,s|
    @colours[k] = score_to_rgb_hex(s, @min, @max)
  }
  @colours.default = 'FFFFFF' # Return white by default.

  # ========================================================================= #
  # === Bioroebe::ColourScheme::Helix.score_to_rgb_hex
  # ========================================================================= #
  def self.score_to_rgb_hex(score, min, max)
    percent = score_to_percent(score, min, max)
    rgb_percent_to_hex(percent, 1.0-percent, percent)
  end

end; end