#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::ColourScheme::Helix::Nucleotide
#
# Colour codings for nucleotides.
#
# Since this class resides within class Helix, we need to enable
# an alias towards the main ColourScheme namespace.
#
# Very simple colour-scheme. See here:
#
#   http://www.jalview.org/help/html/colourSchemes/nucleotide.html
#
# =========================================================================== #
require 'bioroebe/colours/colour_schemes/score.rb'
require 'bioroebe/colours/colour_schemes/simple.rb'

module Bioroebe

module ColourScheme

class Helix < Score

class Nucleotide < Simple # === Bioroebe::ColourScheme::Helix::Nucleotide

  # ========================================================================= #
  # === @colours
  # ========================================================================= #
  @colours = {
    'A' => '64F73F',
    'C' => 'FFB340',
    'G' => 'EB413C',
    'T' => '3C88EE',
    'U' => '3C88EE',
  }
  @colours.default = 'FFFFFF' # Use white by default.

end; end

# =========================================================================== #
# === Bioroebe::ColourScheme::Nucleotide
# =========================================================================== #
Nucleotide = NA = Nuc = Helix::Nucleotide # Assign some aliases.

end; end