#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::ColourScheme::Strand
# =========================================================================== #
# === Color codings for strand propensity.
# =========================================================================== #
require 'bioroebe/colours/colour_schemes/score.rb'

module Bioroebe::ColourScheme

class Strand < Score # === Bioroebe::ColourScheme::Strand

  # ========================================================================= #
  # === @colours
  # ========================================================================= #
  @colours = {}

  # ========================================================================= #
  # === @scores
  # ========================================================================= #
  @scores = {
    'A' => 0.83,
    'C' => 1.19,
    'D' => 0.54,
    'E' => 0.37,
    'F' => 1.38,
    'G' => 0.75,
    'H' => 0.87,
    'I' => 1.60,
    'K' => 0.74,
    'L' => 1.30,
    'M' => 1.05,
    'N' => 0.89,
    'P' => 0.55,
    'Q' => 1.10,
    'R' => 0.93,
    'S' => 0.75,
    'T' => 1.19,
    'U' => 0.0,
    'V' => 1.70,
    'W' => 1.37,
    'Y' => 1.47,

    'B' => 0.72,
    'X' => 1.0,
    'Z' => 0.74,
  }
  @min = 0.37
  @max = 1.70
  @scores.each { |key, value|
    @colours[key] = score_to_rgb_hex(value, @min, @max)
  }
  @colours.default = 'FFFFFF' # Return white by default.

  # ======================================================================= #
  # === Bioroebe::ColourScheme::Strand.score_to_rgb_hex
  # ======================================================================= #
  def self.score_to_rgb_hex(score, min, max)
    percent = score_to_percent(score, min, max)
    rgb_percent_to_hex(percent, percent, 1.0-percent)
  end

end; end