#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::ColourScheme::Turn
# =========================================================================== #
# === Colour codings for turn propensity
# =========================================================================== #
require 'bioroebe/colours/colour_schemes/score.rb'

module Bioroebe::ColourScheme

class Turn < Score # === Bioroebe::ColourScheme::Turn

  # ========================================================================= #
  # === @colours
  # ========================================================================= #
  @colours = {}

  # ========================================================================= #
  # === @scores
  # ========================================================================= #
  @scores = {
    'A' => 0.66,
    'C' => 1.19,
    'D' => 1.46,
    'E' => 0.74,
    'F' => 0.6,
    'G' => 1.56,
    'H' => 0.95,
    'I' => 0.47,
    'K' => 1.01,
    'L' => 0.59,
    'M' => 0.6,
    'N' => 1.56,
    'P' => 1.52,
    'Q' => 0.98,
    'R' => 0.95,
    'S' => 1.43,
    'T' => 0.96,
    'U' => 0,
    'V' => 0.5,
    'W' => 0.96,
    'Y' => 1.14,

    'B' => 1.51,
    'X' => 1.0,
    'Z' => 0.86,
  }
  @min = 0.47
  @max = 1.56
  @scores.each { |key, value|
    @colours[key] = score_to_rgb_hex(value, @min, @max)
  }
  @colours.default = 'FFFFFF' # Return white by default.

  # ======================================================================= #
  # === Bioroebe::ColourScheme::Turn.score_to_rgb_hex
  # ======================================================================= #
  def self.score_to_rgb_hex(score, min, max)
    percent = score_to_percent(score, min, max)
    rgb_percent_to_hex(percent, 1.0 - percent, 1.0 - percent)
  end

end; end