#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file contains in particular the HTML colours.
# =========================================================================== #
# require 'bioroebe/colours/misc_colours.rb'
# =========================================================================== #
module Bioroebe

  require 'bioroebe/requires/require_colours.rb'

  # ========================================================================= #
  # === ecomment
  # ========================================================================= #
  def ecomment(i)
    return Colours.ecomment(i) if use_colours_in_general?
    return i
  end

  # ========================================================================= #
  # === HTML-colours
  #
  # Next we will batch-define several colours. Keep them sorted
  # alphabetically.
  # ========================================================================= #
  array_colours_to_define = %w(
    cornflowerblue
    dodgerblue
    gold
    mediumorchid
    mediumseagreen
    mediumspringgreen
    mediumturquoise
    mediumvioletred
    oldlace
    olivedrab
    orangered
    orchid
    palegoldenrod
    palegreen
    plum
    rosybrown
    royalblue
    seagreen
    slateblue
    springgreen
    steelblue
    teal
    tomato
    violet
    wheat
    white
    whitesmoke
    yellow
    yellowgreen
  )

  array_colours_to_define.each {|use_this_colour|
    self.class.instance_eval {
      define_method(use_this_colour.to_sym) {|i = ''|
        return Colours.send(use_this_colour.to_sym, i) if @use_colours
        return i
      }
    }
  }

end

if __FILE__ == $PROGRAM_NAME
  # ========================================================================= #
  # Some test-code comes next:
  # ========================================================================= #
  alias e puts
  e Bioroebe.dodgerblue('Hello world!')
  e Bioroebe.teal('Hello world!')
  e Bioroebe.springgreen('Hello world!')
  e Bioroebe.violet('Hello world!')  
end