#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/colours/rev.rb'
# =========================================================================== #
module Bioroebe

  require 'bioroebe/colours/use_colours.rb'

  # ========================================================================= #
  # === Bioroebe.rev                                                (rev tag)
  #
  # The general pointer towards using the default colour.
  #
  # This will, however had, only be in use if we do not use colours.
  # ========================================================================= #
  def self.rev
    if @use_colours
      return Colours::GREEN # Default colour goes in here.
    end
    return ''
  end

  # ========================================================================= #
  # === rev
  #
  # Delegate towards Bioroebe.rev() there.
  # ========================================================================= #
  def rev
    ::Bioroebe.rev
  end

  # ========================================================================= #
  # === Bioroebe.erev
  # ========================================================================= #
  def self.erev(i = '')
    puts "#{rev}#{i}"
  end

end