#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::Configuration
# =========================================================================== #
# require 'bioroebe/configuration/constants.rb'
# =========================================================================== #
module Bioroebe

module Configuration # === Bioroebe::Configuration

  # ========================================================================= #
  # === DEFAULT_EDITOR_TO_USE
  #
  # You can designate your main editor here; this is the default editor
  # that is to be used whenever file-editing may be done in the
  # BioRoebe project.
  # ========================================================================= #
  if ENV['IS_ROEBE']
    DEFAULT_EDITOR_TO_USE = 'bluefish' # Could be vim too.
  else # else assume that we may be on windows, so let's use notepad++ in this event.
    DEFAULT_EDITOR_TO_USE = 'notepad++.exe'
  end

  # ========================================================================= #
  # === TRY_TO_RENAME_KDE_KONSOLE
  #
  # If the following constant is set to true, then we will try
  # to rename the KDE konsole on startup of the bioroebe shell,
  # if possible.
  # ========================================================================= #
  TRY_TO_RENAME_KDE_KONSOLE = true

end; end