#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::GUI
# =========================================================================== #
# require 'bioroebe/constants/GUIs.rb'
# =========================================================================== #
module Bioroebe

module GUI # === Bioroebe::GUI

  # ========================================================================= #
  # === ARRAY_ALL_GTK_WIDGETS
  #
  # List all gtk-widgets that are relevant for the controller-application.
  # ========================================================================= #
  ARRAY_ALL_GTK_WIDGETS = %w(
    anti_sense_strand/anti_sense_strand.rb
    calculate_cell_numbers_of_bacteria/calculate_cell_numbers_of_bacteria.rb
    dna_to_aminoacid_widget/dna_to_aminoacid_widget.rb
    hamming_distance/hamming_distance.rb
    levensthein_distance/levensthein_distance.rb
    protein_to_DNA/protein_to_DNA.rb
    random_aminoacids/random_aminoacids.rb
    restriction_enzymes/restriction_enzymes.rb
    www_finder/www_finder.rb
    dna_to_reverse_complement_widget/dna_to_reverse_complement_widget.rb
  )

  # ========================================================================= #
  # === USE_THIS_FONT_FAMILY_FOR_GUI_APPLICATIONS
  #
  # This specifies the main font that is to be used for GUI applications
  # pertaining to Bioroebe.
  # ========================================================================= #
  USE_THIS_FONT_FAMILY_FOR_GUI_APPLICATIONS =
    'DejaVu Sans Mono'

  # ========================================================================= #
  # === FONT_SIZE
  #
  # Uniform default font-size for the whole GUI part.
  # ========================================================================= #
  FONT_SIZE = '22'

  # ========================================================================= #
  # === USE_THIS_FONT
  # ========================================================================= #
  USE_THIS_FONT = "#{USE_THIS_FONT_FAMILY_FOR_GUI_APPLICATIONS} #{FONT_SIZE}"

  # ========================================================================= #
  # === OLD_VERBOSE_VALUE
  # ========================================================================= #
  OLD_VERBOSE_VALUE = $VERBOSE

  # ========================================================================= #
  # === disable_warnings
  # ========================================================================= #
  def disable_warnings
    $VERBOSE = nil
  end

  # ========================================================================= #
  # === enable_warnings
  # ========================================================================= #
  def enable_warnings
    $VERBOSE = OLD_VERBOSE_VALUE
  end

end; end