#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/encoding/encoding.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe::UTF_ENCODING
  # ========================================================================= #
  UTF_ENCODING = 'UTF-8'

  # ========================================================================= #
  # === Bioroebe::USE_THIS_ENCODING
  # ========================================================================= #
  USE_THIS_ENCODING = UTF_ENCODING

  # ========================================================================= #
  # === Bioroebe.to_utf
  #
  # This method will convert from ISO-8859-1 to UTF-8 (Unicode) encoding.
  #
  # It was created in the year 2015, but it is no longer that important,
  # simply because all .rb files in this project now make use of UTF-8
  # encoding by default. Since some code in the taxonomy-submodule of
  # the bioroebe gem may still use this method, the code is retained.
  #
  # Do not expect to see much use of it outside of the taxonomy 
  # submodule, though.
  # ========================================================================= #
  def self.to_utf(i)
    return i.encode(
      'iso-8859-1',
      'UTF-8',
      invalid: :replace,
      undef:   :replace
    ).force_encoding('utf-8')
  end

end

if __FILE__ == $PROGRAM_NAME
  Bioroebe.to_utf(ARGV)
end