#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/readline/readline.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Try to enable readline support
  #
  # We will try to load up readline support, if possible.
  # ========================================================================= #
  begin
    require 'readline'
    @readline_is_available = true # This is the default, if the user has Readline available.
  rescue LoadError
    @readline_is_available = false
  end

  # ========================================================================= #
  # === Bioroebe.readline_is_available?
  #
  # Check whether readline is available.
  # ========================================================================= #
  def self.readline_is_available?
    @readline_is_available
  end; self.instance_eval { alias use_readline? readline_is_available? } # === Bioroebe.use_readline?
       self.instance_eval { alias has_readline? readline_is_available? } # === Bioroebe.has_readline?

end