#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Batch-require all .rb files in the toplevel_methods/ subdirectory.
# =========================================================================== #
# require 'bioroebe/requires/require_the_toplevel_methods.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.require_the_toplevel_methods
  #
  # This method can be used to require all toplevel_method files.
  # ========================================================================= #
  def self.require_the_toplevel_methods(
      from_this_dir = TOPLEVEL_METHODS_DIRECTORY
    )
    require 'bioroebe/project/project.rb'
    _ = Dir["#{from_this_dir}*.rb"]
    _.each {|file|
      file = "bioroebe/toplevel_methods/#{File.basename(file)}"
      require file
    }
  end; self.instance_eval { alias require_all_toplevel_methods require_the_toplevel_methods } # === Bioroebe.require_all_toplevel_methods

  require_all_toplevel_methods # Call it at once.

end