#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/cliner.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.cliner
  #
  # The first character denotes which token we will use, such as '#',
  # for the line that is to be displayed.
  # ========================================================================= #
  def self.cliner(
      use_this_token  = :default_token,
      how_many_times  = 80,
      use_this_colour = nil
    )
    require 'bioroebe/colours/colours.rb'
    if use_this_token.is_a? Hash
      # ===================================================================== #
      # === :length
      # ===================================================================== #
      if use_this_token.has_key? :length
        how_many_times = use_this_token.delete(:length)
      end
      if use_this_token.is_a? Hash
        # =================================================================== #
        # === :token
        # =================================================================== #
        if use_this_token.has_key? :token
          use_this_token = use_this_token.delete(:token)
        end
      end
      use_this_token = :default if use_this_token.is_a? Hash
    end
    # ======================================================================= #
    # The following case-when menu must come after the check for Hashes
    # above.
    # ======================================================================= #
    case use_this_token
    when :default_token, :default
      use_this_token = '='
    end
    # ======================================================================= #
    # === handle blocks next
    # ======================================================================= #
    if block_given?
      yielded = yield
      if yielded.is_a?(Hash)
        # === :colour
        if yielded.has_key? :colour
          use_this_colour = yielded[:colour]  
        # === :colours
        elsif yielded.has_key? :colours
          use_this_colour = yielded[:colours]
        end
      #else
      #  cliner(use_this_token, how_many_times)
      end
    end
    if use_this_colour
      puts ::Colours.send(use_this_colour, use_this_token * how_many_times)
    else
      puts use_this_token * how_many_times
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  # Bioroebe.cliner { puts 'hi there' }
  # puts
  # Bioroebe.cliner('*')
  # Bioroebe.cliner('*', 30)
  # Bioroebe.cliner length: 88
  # Bioroebe.cliner token: 'x'
  Bioroebe.cliner('*') {{ colour: 'steelblue'  }}
  Bioroebe.cliner('=') {{ colour: 'dodgerblue' }}
end