#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/convert_global_env.rb'
# Bioroebe.convert_global_env(ARGV)
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.convert_global_env
  #
  # Note that the method will pick only the first argument given to it
  # if an Array is supplied.
  # ========================================================================= #
  def self.convert_global_env(i)
    if i.is_a? Array
      i = i.first
    end
    unless Object.const_defined? :ConvertGlobalEnv
      begin # Require an external gem in this case.
        require 'convert_global_env'
      rescue LoadError; end
    end
    if Object.const_defined? :ConvertGlobalEnv
      if i and !i.start_with?('$')
        i = i.dup if i.frozen?
        i.prepend('$')
      end
      return ConvertGlobalEnv.convert(i, :do_not_report_errors) # Handle ENV variables.
    end
    return i
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Bioroebe.convert_global_env(ARGV)
end # rb convert_global_env.rb MY_DATA