#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file handles the situation when I am on my home system. On my home
# system, I tend to have a variable called IS_ROEBE set to 1. In this
# case, some checks done by the Bioroebe project will return true, which
# is used in some parts of the scripts to e. g. yield more information
# about certain parts of the code.
# =========================================================================== #
# require 'bioroebe/toplevel_methods/is_on_roebe.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.is_on_roebe?
  # ========================================================================= #
  def self.is_on_roebe?
    ENV['IS_ROEBE'] == '1' # This is the case on my home system.
  end; self.instance_eval { alias roebe?    is_on_roebe? } # === Bioroebe.roebe?
       self.instance_eval { alias on_roebe? is_on_roebe? } # === Bioroebe.on_roebe?
       self.instance_eval { alias is_roebe? is_on_roebe? } # === Bioroebe.is_roebe?

  # ========================================================================= #
  # === on_roebe?
  #
  # Whether I am at home or whether I am not.
  # ========================================================================= #
  def is_on_roebe?
    Bioroebe.is_on_roebe?
  end; alias roebe?    is_on_roebe? # === roebe?
       alias on_roebe? is_on_roebe? # === on_roebe?
       alias is_roebe? is_on_roebe? # === is_roebe?

end

if __FILE__ == $PROGRAM_NAME
  puts Bioroebe.is_on_roebe?
end