#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/opn.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.permanently_disable_opn
  #
  # The purpose of this method is to permanently disable opn for the
  # whole Bioroebe-project.
  # ========================================================================= #
  def self.permanently_disable_opn
    require 'bioroebe/project/project.rb'
    require 'bioroebe/colours/colours.rb'
    require 'bioroebe/toplevel_methods/e.rb'
    require 'bioroebe/toplevel_methods/file_and_directory_related_actions.rb'
    erev 'Permanently disabling the use of opn for the Bioroebe project next.'
    target_dir = CONFIGURATION_DIRECTORY
    target_file = "#{target_dir}use_opn.yml"
    if File.exist? target_file
      erev 'Modifying the file `'+
           sfile(target_file)+rev+'` next.'
      write_what_into('false', target_file)
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  Bioroebe.permanently_disable_opn
end # bioroebepermanentlydisableopn