#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/rds.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.rds
  #
  # rds is an abbreviation and is short for "remove double slashes".
  #
  # We will thus get rid of too many '/' tokens in a given string,
  # via this method.
  #
  # This is mostly used in order to sanitize local file paths, as
  # "foo//bar" entries look quite ugly.
  # ========================================================================= #
  def self.rds(i)
    i.squeeze('/')
  end

end