#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/return_source_code_of_this_method.rb'
# Bioroebe.return_source_code_of_this_method
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.return_source_code_of_this_method
  #
  # This method will return the source code of a particular method.
  #
  # Note that the method will stop at the first 'end' encountered.
  # ========================================================================= #
  def self.return_source_code_of_this_method(i)
    if i.is_a? Array
      i = i.first
    end
    content = i.source_location
    full_content = File.readlines(
      content[0].to_s
    )[ (content[1]-1) .. -1 ].join.to_s
    if full_content.include? 'end'
      full_content = full_content[0 .. full_content.index('end')+2]
    end
    return full_content  
  end

end

if __FILE__ == $PROGRAM_NAME
  Bioroebe.return_source_code_of_this_method
end