#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/sum_of_odd_integers.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.sum_of_odd_integers
  #
  # This method was primarily written to solve a specific problem at
  # Rosalind.
  #
  # This method will probably not be hugely important for every-day
  # tasks, but I will leave it here nonetheless in the event that
  # others want to solve problems at Rosalind and may find this
  # method useful.
  #
  # The method will calculate the "sum of odd integers". A local
  # file can be provided - see the code at File.read() in the
  # method. For more use cases, see the end of this .rb file.
  # ========================================================================= #
  def self.sum_of_odd_integers(
      starting_point = 100,
      end_point      = 200
    )
    if starting_point and File.file?(starting_point)
      case end_point
      # ===================================================================== #
      # === :default
      # ===================================================================== #
      when :default,
           nil
        dataset = File.read(starting_point).strip
        splitted = dataset.split(' ')
        starting_point = splitted.first
        end_point      = splitted.last
      end
    end
    result = 0
    # ======================================================================= #
    # We need our start and end point to be Integers past this point:
    # ======================================================================= #
    starting_point = starting_point.to_i
    end_point      = end_point.to_i
    (starting_point .. end_point).each {|number|
      result += number if number.odd?
    }
    result
  end

end

if __FILE__ == $PROGRAM_NAME
  if ARGV.empty?
    puts Bioroebe.sum_of_odd_integers
  else
    puts Bioroebe.sum_of_odd_integers(ARGV[0], ARGV[1])
  end
end # sumofoddintegers 4068 8689
    # sumofoddintegers /SUM_OF_ODD_INTEGERS.txt