#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/toplevel_methods/three_delimiter.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === Bioroebe.three_delimiter
  #
  # This method will, applied onto an Array of Strings, add the '|' token
  # after 3 positions.
  #
  # The argument to this method should be an Array.
  #
  # Example: 
  #
  #    Bioroebe.three_delimiter('ATGGGGATGTAGGTA','ATGTAGGTA') # => ["ATG|GGG|ATG|TAG|GTA", "ATG|TAG|GTA"]
  #
  # ========================================================================= #
  def self.three_delimiter(array)
    array.flatten.map {|entry|
      splitted = entry.scan(/.../)
      entry = splitted.join('|')
      entry
    } 
  end

end

if __FILE__ == $PROGRAM_NAME
  pp Bioroebe.three_delimiter(ARGV)
end # threedelimiter ATGGGGATGTAGGTA ATGTAGGTA