#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file helps us determine whether we should truncate a long sequence
# on the commandline or whether we should not. The user can toggle this,
# so it has to be dynamic. The reason why the code exists is because
# very long sequences can be annoying to read on the commandline, so
# it makes sense to show only a shorter subsequence of that, followed
# by a trailing ' [...]' part.
# =========================================================================== #
# require 'bioroebe/toplevel_methods/truncate.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === @truncate
  #
  # By default we will truncate long sequences. The following instance
  # variable keeps track of that behaviour.
  # ========================================================================= #
  @truncate = true

  # ========================================================================= #
  # === Bioroebe.truncate?
  # ==============================/home/x/programming/ruby/src/OLD_bioroebe/lib/bioroebe/toplevel_methods/truncate.rb=========================================== #
  def self.truncate?
    @truncate
  end; self.instance_eval { alias do_truncate? truncate? } # === Bioroebe.do_truncate?

  # ========================================================================= #
  # === Bioroebe.do_truncate
  # ========================================================================= #
  def self.do_truncate
    @truncate = true
  end

  # ========================================================================= #
  # === Bioroebe.do_not_truncate
  #
  # Do not truncate any "too long" output. This method disable the
  # truncate-functionality.
  # ========================================================================= #
  def self.do_not_truncate
    @truncate = false
  end

end