#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# We depend on the external gem called beautiful_url for the functionality
# stored in this .rb file.
# =========================================================================== #
# require 'bioroebe/toplevel_methods/url.rb'
# =========================================================================== #
module Bioroebe

  begin
    require 'beautiful_url'
  rescue LoadError; end

  # ========================================================================= #
  # === Bioroebe.try_to_pass_through_beautiful_url
  #
  # Simply pass through BeautifulUrl. If the input is registered
  # then this method will return the remote or local file that
  # is "pointed at" by the given input. Basically this is a 
  # shortcut: we input a few characters, and get back the full
  # length, a bit similar to how tinyurl used to work.
  # ========================================================================= #
  def self.try_to_pass_through_beautiful_url(i)
    i = i.first if i.is_a? Array
    i = BeautifulUrl[i] if Object.const_defined? :BeautifulUrl
    i = i.first if i.is_a? Array
    return i
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Bioroebe.try_to_pass_through_beautiful_url(ARGV)
end # rb url.rb hardware