#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Bioroebe::DownloadFilesFromRebase
#
# This class can download files from rebase.
# Usage examples:
#
#   Bioroebe::DownloadFilesFromRebase.new(ARGV)
#
# =========================================================================== #
# require 'bioroebe/utility_scripts/download_files_from_rebase.rb'
# Bioroebe::DownloadFilesFromRebase.new(ARGV)
# =========================================================================== #
require 'bioroebe/base/commandline_application/commandline_application.rb'

module Bioroebe

class DownloadFilesFromRebase < ::Bioroebe::CommandlineApplication # === Bioroebe::DownloadFilesFromRebase

  # ========================================================================= #
  # === REMOTE_BASE_URL
  # ========================================================================= #
  REMOTE_BASE_URL = 'ftp://ftp.neb.com/pub/rebase/'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_commandline_arguments(i)
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    # ======================================================================= #
    # === @array_download_these_remote_files
    # ======================================================================= #
    @array_download_these_remote_files = %w( emboss_e.txt )
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    @array_download_these_remote_files.each {|this_remote_file|
      _ = REMOTE_BASE_URL+this_remote_file
      erev "Now dowloading #{sfile(_)}#{rev}."
      esystem "wget #{_}"
    }
  end

  # ========================================================================= #
  # === Bioroebe::DownloadFilesFromRebase[]
  # ========================================================================= #
  def self.[](i)
    new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Bioroebe::DownloadFilesFromRebase.new(ARGV)
end # downloadfilesfromrebase