#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'bioroebe/version/version.rb'
# =========================================================================== #
module Bioroebe

  # ========================================================================= #
  # === VERSION
  # ========================================================================= #
  VERSION = '0.10.1'

  # ========================================================================= #
  # === LAST_UPDATE
  #
  # This variable keeps track as to when the bioroebe project was last
  # updated. The notation is: DD.MM.YYYY
  # ========================================================================= #
  LAST_UPDATE = '22.12.2021'

  # ========================================================================= #
  # === URL_TO_THE_DOCUMENTATION
  #
  # Keep track of where the documentation to BioRoebe is kept at.
  # ========================================================================= #
  URL_TO_THE_DOCUMENTATION =
    "https://www.rubydoc.info/gems/#{self.to_s.downcase}/#{VERSION}"

  # ========================================================================= #
  # === Bioroebe.last_updated?
  # ========================================================================= #
  def self.last_updated?
    LAST_UPDATE
  end

  # ========================================================================= #
  # === Bioroebe.version?
  # ========================================================================= #
  def self.version?
    ::Bioroebe::VERSION
  end; self.instance_eval { alias version version? } # === Bioroebe.version

end